For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
      • GETGet API App
      • GETList API Apps
      • POSTCreate API App
      • PUTUpdate API App
      • DELDelete API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceAPI App

Update API App

||View as Markdown|
PUT
https://api.hellosign.com/v3/api_app/:client_id
PUT
/v3/api_app/:client_id
$curl -X PUT 'https://api.hellosign.com/v3/api_app/{client_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'name=New Name' \
> -F 'callback_url=https://example.com/dropboxsign' \
> -F 'white_labeling_options[primary_button_color]=#00b3e6' \
> -F 'white_labeling_options[primary_button_text_color]=#ffffff'
1{
2 "api_app": {
3 "callback_url": "https://example.com/dropboxsign",
4 "client_id": "0dd3b823a682527788c4e40cb7b6f7e9",
5 "created_at": 1436232339,
6 "domains": [
7 "example.com"
8 ],
9 "name": "New Name",
10 "is_approved": false,
11 "oauth": {
12 "callback_url": "https://example.com/oauth",
13 "secret": "98891a1b59f312d04cd88e4e0c498d75",
14 "scopes": [
15 "basic_account_info",
16 "request_signature"
17 ]
18 },
19 "owner_account": {
20 "account_id": "dc5deeb9e10b044c591ef2475aafad1d1d3bd888",
21 "email_address": "john@example.com"
22 },
23 "white_labeling_options": {
24 "primary_button_color": "#00b3e6",
25 "primary_button_text_color": "#ffffff"
26 }
27 }
28}
Updates an existing API App. Can only be invoked for apps you own. Only the fields you provide will be updated. If you wish to clear an existing optional field, provide an empty string.
Was this page helpful?
Previous

Create API App

Next

Delete API App

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Path parameters

client_idstringRequired
The client id of the API App to update.

Request

This endpoint expects an object.
callback_urlstringOptional
The URL at which the API App should receive event callbacks.
custom_logo_filestringOptionalformat: "binary"

An image file to use as a custom logo in embedded contexts. (Only applies to some API plans)

domainslist of stringsOptional
The domain names the ApiApp will be associated with.
namestringOptional
The name you want to assign to the ApiApp.
oauthobjectOptional
OAuth related parameters.
optionsobjectOptional
Additional options supported by API App.
white_labeling_optionsobjectOptional

An array of elements and values serialized to a string, to be used to customize the app’s signer page. (Only applies to some API plans)

Take a look at our white labeling guide to learn more.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
api_appobject
Contains information about an API App.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.